import request from '@/utils/request'

// 查询出库类型列表
export function listOuttype(query) {
  return request({
    url: '/information/outtype/list',
    method: 'get',
    params: query
  })
}

// 查询出库类型详细
export function getOuttype(id) {
  return request({
    url: '/information/outtype/' + id,
    method: 'get'
  })
}

// 新增出库类型
export function addOuttype(data) {
  return request({
    url: '/information/outtype',
    method: 'post',
    data: data
  })
}

// 修改出库类型
export function updateOuttype(data) {
  return request({
    url: '/information/outtype',
    method: 'put',
    data: data
  })
}

// 删除出库类型
export function delOuttype(id) {
  return request({
    url: '/information/outtype/' + id,
    method: 'delete'
  })
}
